rails g rails_admin:install requests `gem install activerecord-mysql2-adapter` (already installed tho) #1588

Closed
rjaus opened this Issue Apr 2, 2013 · 2 comments

Comments

Projects
None yet
2 participants
@rjaus

rjaus commented Apr 2, 2013

Having some trouble running the install. It's request I install an additional gem, but even with that install it still gives the same error.

Rileys-MacBook-Air:MoneyHuntMVP RileyJames$ rails g rails_admin:install
WARNING: Nokogiri was built against LibXML version 2.7.3, but has dynamically loaded 2.7.8
/Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.2.0.rc.2/lib/bundler/rubygems_integration.rb:147:in block in replace_gem': Please install the mysql2 adapter:gem install activerecord-mysql2-adapter(mysql2 is not part of the bundle. Add it to Gemfile.) (LoadError) from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/connection_adapters/mysql2_adapter.rb:3:in<top (required)>'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in require' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inblock in require'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in load_dependency' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inrequire'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:50:in resolve_hash_connection' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:41:inresolve_string_connection'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:25:in spec' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:130:inestablish_connection'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/railtie.rb:82:in block (2 levels) in <class:Railtie>' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:ininstance_eval'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:in execute_hook' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:26:inblock in on_load'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:in each' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:inon_load'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activerecord-3.2.13/lib/active_record/railtie.rb:74:in block in <class:Railtie>' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/initializable.rb:30:ininstance_exec'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/initializable.rb:30:in run' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/initializable.rb:55:inblock in run_initializers'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/initializable.rb:54:in each' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/initializable.rb:54:inrun_initializers'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/application.rb:136:in initialize!' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:inmethod_missing'
from /Users/RileyJames/Sites/MoneyHuntMVP/config/environment.rb:5:in <top (required)>' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inrequire'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in block in require' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:inload_dependency'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in require' from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/application.rb:103:inrequire_environment!'
from /Users/RileyJames/.rvm/gems/ruby-1.9.3-p194@moneyhuntmvp/gems/railties-3.2.13/lib/rails/commands.rb:25:in <top (required)>' from script/rails:6:inrequire'
from script/rails:6:in `

'

@neilang

This comment has been minimized.

Show comment Hide comment
@neilang

neilang Apr 4, 2013

Contributor

Sorry for the obvious question, but have you added gem 'mysql2' in your Gemfile?

Contributor

neilang commented Apr 4, 2013

Sorry for the obvious question, but have you added gem 'mysql2' in your Gemfile?

@rjaus

This comment has been minimized.

Show comment Hide comment
@rjaus

rjaus Apr 4, 2013

Yea it was definitely in there, it's being used in other parts of the application.

I worked it out later. I was pushing master to heroku, but working off another branch locally. My bad, closed. Thanks.

rjaus commented Apr 4, 2013

Yea it was definitely in there, it's being used in other parts of the application.

I worked it out later. I was pushing master to heroku, but working off another branch locally. My bad, closed. Thanks.

@rjaus rjaus closed this Apr 4, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment